com.independentsoft.exchange

## Class ServiceConfigurationResponse

- java.lang.Object
- - com.independentsoft.exchange.Response
  - - com.independentsoft.exchange.ServiceConfigurationResponse

-     public class ServiceConfigurationResponse
      extends Response

  Defines a response to a GetServiceConfiguration request.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MailTipsConfiguration` | `getMailTipsConfiguration()` Gets service configuration information for the mail tips service.
    `ProtectionRulesConfiguration` | `getProtectionRulesConfiguration()` Gets service configuration information for the protection rules service.
    `UnifiedMessagingConfiguration` | `getUnifiedMessagingConfiguration()` Gets service configuration information for the Unified Messaging service.

    - ### Methods inherited from class com.independentsoft.exchange.Response

      `getDescriptiveLinkKey, getMessage, getResponseClass, getResponseCode, getServerVersionInfo, getXmlMessage, setServerVersionInfo`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMailTipsConfiguration

          public MailTipsConfiguration getMailTipsConfiguration()

      Gets service configuration information for the mail tips service.
      Returns:
        the mail tips configuration

    - #### getUnifiedMessagingConfiguration

          public UnifiedMessagingConfiguration getUnifiedMessagingConfiguration()

      Gets service configuration information for the Unified Messaging service.
      Returns:
        the unified messaging configuration

    - #### getProtectionRulesConfiguration

          public ProtectionRulesConfiguration getProtectionRulesConfiguration()

      Gets service configuration information for the protection rules service.
      Returns:
        the protection rules configuration